.. _str: https://docs.python.org/2/library/stdtypes.html

.. _vim.vm.customization.IpGenerator: ../../../vim/vm/customization/IpGenerator.rst


vim.vm.customization.CustomIpGenerator
======================================
  Use a command-line program configured with the VirtualCenter server.
:extends: vim.vm.customization.IpGenerator_

Attributes:
    argument (`str`_, optional):

       An optional argument that is passed to the utility for this IP address. The meaning of this field is user-defined, in the script.
